\begin{lstlisting}[style=XHTML, caption=Ausschnitt von \textit{mindmap.xhtml}, label=code:mindmap-facelet]
<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:mindmap id="mindmap-content"
            value="#{mindmapView.root}">
            <p:ajax event="select" listener="#{mindmapView.onNodeSelect}" oncomplete="mindmapSelectCallback()"/>
            <p:ajax event="dblselect" listener="#{mindmapView.onNodeDblselect}" update="pnlComponentDetail" oncomplete="PF('dlgShowComponent').show();"/>
        </p:mindmap>
        ...
    </h:form>
</ui:composition>
\end{lstlisting}